org.encog.neural.networks.structure

## Class AnalyzeNetwork

- java.lang.Object
- - org.encog.neural.networks.structure.AnalyzeNetwork

-     public class AnalyzeNetwork
      extends Object

  Allows the weights and bias values of the neural network to be analyzed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzeNetwork(BasicNetwork network)` Construct a network analyze class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getAllValues()`
    `NumericRange` | `getBias()`
    `double[]` | `getBiasValues()`
    `int` | `getDisabledConnections()`
    `int` | `getTotalConnections()`
    `NumericRange` | `getWeights()`
    `NumericRange` | `getWeightsAndBias()`
    `double[]` | `getWeightValues()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyzeNetwork

          public AnalyzeNetwork(BasicNetwork network)

      Construct a network analyze class. Analyze the specified network.
      Parameters:
        `network` - The network to analyze.

  - ### Method Detail

    - #### getAllValues

          public final double[] getAllValues()

      Returns:
        All of the values in the neural network.

    - #### getBias

          public final NumericRange getBias()

      Returns:
        The numeric range of the bias values.

    - #### getBiasValues

          public final double[] getBiasValues()

      Returns:
        The bias values in the neural network.

    - #### getDisabledConnections

          public final int getDisabledConnections()

      Returns:
        The number of disabled connections in the network.

    - #### getTotalConnections

          public final int getTotalConnections()

      Returns:
        The total number of connections in the network.

    - #### getWeights

          public final NumericRange getWeights()

      Returns:
        The numeric range of the weights values.

    - #### getWeightsAndBias

          public final NumericRange getWeightsAndBias()

      Returns:
        The numeric range of the weights and bias values.

    - #### getWeightValues

          public final double[] getWeightValues()

      Returns:
        The weight values in the neural network.

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.